# CIT IS Bot

![Static Badge](https://img.shields.io/badge/Powered%20by-csasq-blue)
![Static Badge](https://img.shields.io/badge/Python-3.9%2B-blue)
![Static Badge](https://img.shields.io/badge/License-CC%20BY--NC%204.0-blue)

Telegram чат-бот для создания периодических опросов и цепочек опросов в групповых чатах ГАУ ТО «ЦИТ» управления информационных систем.

## Возможности

- [x] Периодические опросы о текущем состоянии сотрудников;
- [x] Периодические опросы о планах на обеденный перерыв;
- [ ] Веб-приложение для управления чат-ботом https://git.csasq.ru/csasq/cit-is-bot/issues/2.

## Быстрый старт

Установите библиотеки, необходимые для запуска приложения.

```bash
pip install -r requirements.txt
```

Создайте файл конфигурации `config.ini` в корневой директории проекта.

```ini
[Main]                  # Основные настройки
host = localhost        # IP-адрес или имя хоста веб-приложения
port =                  # Порт веб-приложения
app_name = CIT IS Bot   # Название веб-приложения

[PostgreSQL]            # Настройки подключения к PostreSQL
host = localhost        # IP-адрес или имя хоста
port = 5432             # Порт
user =                  # Имя пользователя
password =              # Пароль пользователя
dbname =                # Имя базы данных

[Redis]                 # Настройки подключения к Redis
host = localhost        # IP-адрес или имя хоста
port = 6379             # Порт
db =                    # Номер базы данных
password =              # Пароль сервера (если установлен)

[Telegram]              # Настройки Telegram Bot API
token =                 # Токен чат-бота, полученный у @BotFather
```
